export class JsonAnalization {
  /**
   * Raw string Analization for JSON string.
   * @description Editing with string.util.ts
   */
  public static receiveAnalization(jsonStr: string): any {
    const startJson = jsonStr.indexOf('{');
    const endJson = jsonStr.lastIndexOf('}');

    if (startJson >= 0 && startJson < endJson) {
      jsonStr = jsonStr.substring(startJson, endJson + 1);
      jsonStr = jsonStr.replace(/\r\n/gi, '\\n');
      jsonStr = jsonStr.replace(/\n/gi, '\\n');
      jsonStr = jsonStr.replace(/\\n"/gi, '"');
      if (jsonStr.endsWith('\\n}')) {
        jsonStr = jsonStr.substr(0, jsonStr.length - 3) + '}';
      }
      // jsonStr = jsonStr.replace(/\\n}/gi, '}');

      // jsonStr = jsonStr.replace(/\n"/gi, '"');
      // jsonStr = jsonStr.replace(/\n}/gi, '}');
      // jsonStr = jsonStr.replace(/\n/gi, '\\n');
      // jsonStr = jsonStr.replace(/\r\n/gi, '\\n');

      return JSON.parse(jsonStr);
    } else {
      throw new Error('Invalid Json String');
    }
  }

  /**
   * Convert String Array from String array type Raw strings.
   */
  public static convertStringToArray(str: string): string[] {
    let rtnArr: string[] = [];

    try {
      rtnArr = str.replace(/([\[\]"])/gi, '').split(',');
    } catch (e) {}

    return rtnArr;
  }
}
